using IngameDebugConsole;
using UnityEngine;

namespace Tuan.GameFramework
{
    public class GameManager : Singleton<GameManager>
    {
        [ConsoleMethod("clear_prefs", "Clears all PlayerPrefs data")]
        public static void ClearPlayerPrefs()
        {
            PlayerPrefs.DeleteAll();
            PlayerPrefs.Save();
            Debug.Log("<color=orange>All PlayerPrefs have been cleared!</color>");
        }
    }
}
